Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82336 - Race condition in fileutils package
Summary: Race condition in fileutils package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fileutils
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 13:58 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-20 18:40:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:016 normal SHIPPED_LIVE Low: fileutils security update 2003-01-21 05:00:00 UTC

Description Mark J. Cox 2003-01-21 13:58:50 UTC
A race condition in recursive use of 'rm' and 'mv' in fileutils 4.1 and
earlier could allow local users to delete files and directories as the user
running fileutils if the user has write access to part of the tree being
moved or deleted.

Red Hat Linux Advanced Server shipped with versions of fileutils that are
vulnerable to this issue.

CAN-2002-0435

http://online.securityfocus.com/archive/1/260936
http://mail.gnu.org/archive/html/bug-fileutils/2002-03/msg00028.html

Comment 1 Mark J. Cox 2003-02-20 18:40:14 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-016.html



Note You need to log in before you can comment on or make changes to this bug.